# Class XYValueSeries

java.lang.Object
com.codename1.charts.models.XYSeries
com.codename1.charts.models.XYValueSeries

public class XYValueSeries extends XYSeries
An extension of the XY series which adds a third dimension. It is used for XY charts like bubble.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XYValueSeries(String title)`
  Builds a new XY value series.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(double x, double y)`
  Adds a new value to the series.
  `void`
  `add(double x, double y, double value)`
  Adds a new value to the series.
  `void`
  `clear()`
  Removes all the values from the series.
  `double`
  `getMaxValue()`
  Returns the maximum value.
  `double`
  `getMinValue()`
  Returns the minimum value.
  `double`
  `getValue(int index)`
  Returns the value at the specified index.
  `void`
  `remove(int index)`
  Removes an existing value from the series.

  ### Methods inherited from class XYSeries

  `add, addAnnotation, addAnnotation, clearAnnotations, clearSeriesValues, getAnnotationAt, getAnnotationCount, getAnnotationX, getAnnotationY, getIndexForKey, getItemCount, getMaxX, getMaxY, getMinX, getMinY, getPadding, getRange, getScaleNumber, getTitle, getX, getXYMap, getY, removeAnnotation, setTitle`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### XYValueSeries

    public XYValueSeries(String title)

    Builds a new XY value series.

    ###### Parameters

    - `title`: the series title.

- ## Method Details

  - ### add

    public void add(double x, double y, double value)

    Adds a new value to the series.

    ###### Parameters

    - `x`: the value for the X axis

    - `y`: the value for the Y axis

    - `value`: the value

  - ### add

    public void add(double x, double y)

    Adds a new value to the series.

    ###### Parameters

    - `x`: the value for the X axis

    - `y`: the value for the Y axis

    Overrides:
      `add` in class `XYSeries`

  - ### remove

    public void remove(int index)

    Removes an existing value from the series.

    ###### Parameters

    - `index`: the index in the series of the value to remove
    Overrides:
      `remove` in class `XYSeries`

  - ### clear

    public void clear()
    Removes all the values from the series.
    Overrides:
      `clear` in class `XYSeries`

  - ### getValue

    public double getValue(int index)

    Returns the value at the specified index.

    ###### Parameters

    - `index`: the index

    ###### Returns

    the value

  - ### getMinValue

    public double getMinValue()

    Returns the minimum value.

    ###### Returns

    the minimum value

  - ### getMaxValue

    public double getMaxValue()

    Returns the maximum value.

    ###### Returns

    the maximum value